[arch-commits] Commit in vim-a/trunk (LICENSE PKGBUILD vimdoc.install)

Eric Bélanger eric at archlinux.org
Sun Apr 19 22:01:10 EDT 2009


    Date: Sunday, April 19, 2009 @ 22:01:10
  Author: eric
Revision: 36107

upgpkg: vim-a 2.18-2
    Added license

Added:
  vim-a/trunk/LICENSE
Modified:
  vim-a/trunk/PKGBUILD
  vim-a/trunk/vimdoc.install

----------------+
 LICENSE        |    9 +++++++++
 PKGBUILD       |   17 +++++++++--------
 vimdoc.install |    5 -----
 3 files changed, 18 insertions(+), 13 deletions(-)

Added: LICENSE
===================================================================
--- LICENSE	                        (rev 0)
+++ LICENSE	2009-04-20 02:01:10 UTC (rev 36107)
@@ -0,0 +1,9 @@
+Copyright: (c) 2000-2006 Michael Sharpe
+           We grant permission to use, copy modify, distribute, and sell this
+           software for any purpose without fee, provided that the above 
+           copyright notice and this text are not removed. We make no guarantee
+           about the suitability of this software for any purpose and we are 
+           not liable for any damages resulting from its use. Further, we are 
+           under no obligation to maintain or extend this software. It is 
+           provided on an "as is" basis without any expressed or implied 
+           warranty.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-20 00:45:58 UTC (rev 36106)
+++ PKGBUILD	2009-04-20 02:01:10 UTC (rev 36107)
@@ -5,25 +5,26 @@
 pkgver=2.18
 _scriptid=7218
 _docid=6347
-pkgrel=1
+pkgrel=2
 pkgdesc="alternate files in vim quickly (.c -> .h etc)"
 arch=(i686 x86_64)
 url="http://www.vim.org/scripts/script.php?script_id=31"
+license=('custom')
 depends=(vim)
 groups=('vim-plugins')
 install=vimdoc.install
 source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid \
-        http://www.vim.org/scripts/download_script.php?src_id=$_docid)
-md5sums=('6570438244f71e19be1e1b84a5a6c1ec' '0fcef5054b1617fa8217c9bd0bede338')
+        http://www.vim.org/scripts/download_script.php?src_id=$_docid LICENSE)
+md5sums=('6570438244f71e19be1e1b84a5a6c1ec' '0fcef5054b1617fa8217c9bd0bede338'\
+         '6f4ce554c0e43d79e1532c7ba0bf63fe')
 
 build()
 {
-  cd $startdir/src
+  cd $srcdir
   mv download_script.php?src_id=$_scriptid a.vim
   mv download_script.php?src_id=$_docid alternate.txt
 
-  mkdir -p $startdir/pkg/usr/share/vim/plugin
-  mkdir -p $startdir/pkg/usr/share/vim/doc
-  install -m644 a.vim $startdir/pkg/usr/share/vim/plugin/
-  install -m644 alternate.txt $startdir/pkg/usr/share/vim/doc/
+  install -D -m644 a.vim $pkgdir/usr/share/vim/plugin/a.vim || return 1
+  install -D -m644 alternate.txt $pkgdir/usr/share/vim/doc/alternate.txt || return 1
+  install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }

Modified: vimdoc.install
===================================================================
--- vimdoc.install	2009-04-20 00:45:58 UTC (rev 36106)
+++ vimdoc.install	2009-04-20 02:01:10 UTC (rev 36107)
@@ -12,8 +12,3 @@
 post_remove() {
   post_install
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list